IdentityQueryFilter (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.db.columniterator

## Class IdentityQueryFilter

- java.lang.Object
- - org.apache.cassandra.db.filter.SliceQueryFilter
  - - org.apache.cassandra.db.columniterator.IdentityQueryFilter

- All Implemented Interfaces:
    IDiskAtomFilter

      public class IdentityQueryFilter
      extends SliceQueryFilter

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.db.filter.SliceQueryFilter

      `SliceQueryFilter.Serializer`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.db.filter.SliceQueryFilter

      `compositesToGroup, count, IGNORE_TOMBSTONED_PARTITIONS, reversed, slices`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdentityQueryFilter()` Will read entire CF into memory.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `respectTombstoneThresholds()`

    - ### Methods inherited from class org.apache.cassandra.db.filter.SliceQueryFilter

      `cloneShallow, collectReducedColumns, columnCounter, countCQL3Rows, finish, getColumnComparator, getColumnIterator, getColumnIterator, getLiveCount, getRangeTombstoneIterator, getSSTableColumnIterator, getSSTableColumnIterator, hasStaticSlice, isFullyCoveredBy, isHeadFilter, isReversed, lastCounted, lastLive, lastTombstones, maySelectPrefix, setStart, shouldInclude, splitOutStaticSlice, start, toString, trim, updateColumnsLimit, withUpdatedCount, withUpdatedSlices, withUpdatedStart`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IdentityQueryFilter

          public IdentityQueryFilter()

      Will read entire CF into memory. Use with caution.

  - ### Method Detail

    - #### respectTombstoneThresholds

          protected boolean respectTombstoneThresholds()

      Overrides:
        `respectTombstoneThresholds` in class `SliceQueryFilter`

Copyright © 2018 The Apache Software Foundation